Lavalite package that provides tab management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `cong/tab`.

    "cong/tab": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Cong\Tab\Providers\TabServiceProvider::class,

And also add it to alias

    'Tab'  => Cong\Tab\Facades\Tab::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Cong\\TabTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Cong\Tab\Providers\TabServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Cong\Tab\Providers\TabServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Cong\Tab\Providers\TabServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/tab/{modulename}

**User**

    http://path-to-route-folder/user/tab/{modulename}

**Public**

    http://path-to-route-folder/tabs


### API endpoints

**List**

    http://path-to-route-folder/api/user/tab/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/tab/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/tab/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/tab/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/tab/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/tab/{modulename}/{slug}
    METHOD: GET